<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */


    public function purchase()
    {
        return $this->hasMany(Purchase::class);
    }


    public function invoices()
    {
        return $this->hasMany(Invoice::class);
    }


    public function orders()
    {
        return $this->hasMany(Order::class);
    }

    public function held()
    {
        return $this->hasMany(HeldTransaction::class);
    }


    protected $fillable = [
        'name',
        'email',
        'station',
        'branch',
        'sales_person_category',
        'role',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}
