<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateItemStockLedgersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('item_stock_ledgers', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('item_id')->nullable();
            $table->date('date')->nullable();
            $table->string('station')->nullable();
            $table->string('item_name')->nullable();
            $table->string('item_unit')->nullable();
            $table->string('item_opening_stock')->default(0)->nullable();
            $table->string('item_purchases')->default(0)->nullable();
            $table->string('item_recieved')->default(0)->nullable();
            $table->string('item_manufacturing')->default(0)->nullable();
            $table->string('item_issue')->default(0)->nullable();
            $table->string('item_sales')->default(0)->nullable();
            $table->string('item_adjustment')->default(0)->nullable();
            $table->string('item_wastage')->default(0)->nullable();
            $table->string('item_cons_manufacturing')->default(0)->nullable();
            $table->string('item_closing_stock')->default(0)->nullable();
            $table->string('item_manual_closing_stock')->default(0)->nullable();
            $table->string('item_variance')->default(0)->nullable();
            $table->string('item_stock_limit')->default(0)->nullable();
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('item_stock_ledgers');
    }
}
