<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSatelliteRequisitionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('satellite_requisitions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->string('station')->nullable();
            $table->string('r_transaction_id')->nullable();
            $table->string('r_store')->nullable();
            $table->date('r_date')->nullable();
            $table->string('r_category')->nullable();
            $table->string('r_item');
            $table->string('r_item_id')->nullable();
            $table->float('r_quantity');
            $table->string('r_unit');
            $table->string('r_state');
            $table->longText('r_note')->nullable();
            $table->string('stock_in_hand')->nullable();
            $table->string('authorize_qty')->nullable();
            $table->string('issue_qty')->nullable();
            $table->string('r_status')->default(2)->nullable();
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('satellite_requisitions');
    }
}
