SatelliteRequisitionController<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateIssueVouchersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('issue_vouchers', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->string('station')->nullable();
            $table->string('issue_transaction_id')->nullable();
            $table->unsignedBigInteger('issue_item_id')->nullable();
            $table->string('issue_store')->nullable();
            $table->date('issue_date')->nullable();
            $table->string('issue_category')->nullable();
            $table->string('issue_item');
            $table->float('issue_quantity');
            $table->string('issue_unit');
            $table->string('issue_state')->nullable();
            $table->longText('issue_note')->nullable();
            $table->string('stock_in_hand')->nullable();
            $table->string('authorize_qty')->nullable();
            $table->string('issue_qty')->nullable();
            $table->string('issue_status')->default(2)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('issue_vouchers');
    }
}
