<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSatelliteItemLedgersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('satellite_item_ledgers', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('item_id')->nullable();
            $table->date('date')->nullable();
            $table->string('station')->nullable();
            $table->string('item_name')->nullable();
            $table->string('item_unit')->nullable();
            $table->string('item_opening_stock')->default(0)->nullable();
            $table->string('item_recieved')->default(0)->nullable();
            $table->string('item_issue')->default(0)->nullable();
            $table->string('item_sales')->default(0)->nullable();
            $table->string('item_adjustment')->default(0)->nullable();
            $table->string('item_wastage')->default(0)->nullable();
            $table->string('item_closing_stock')->default(0)->nullable();
            $table->string('item_manual_closing_stock')->default(0)->nullable();
            $table->string('item_variance')->default(0)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('satellite_item_ledgers');
    }
}
