<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePurchasesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('purchases', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->string('station')->nullable();
            $table->string('purchase_transaction_id')->nullable();
            $table->string('purchase_vendor')->nullable();
            $table->date('purchase_date')->nullable();
            $table->string('purchase_category')->nullable();
            $table->string('purchase_item_id')->nullable();
            $table->string('purchase_item');
            $table->float('purchase_quantity');
            $table->float('purchase_rate');
            $table->string('purchase_unit');
            $table->string('purchase_total');
            $table->string('purchase_state');
            $table->longText('purchase_note')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('purchases');
    }
}
