

<!DOCTYPE html>
<html class="no-js" lang="en">

<head>
  <!-- Meta Tags -->
  <meta charset="utf-8">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="author" content="ThemeMarch">
  <!-- Site Title -->
  <title>End of day Summary - {{request()->start_date == null ? $dayClose->day_close : request()->start_date . " " . request()->end_date}}</title>
  <link rel="stylesheet" href="{{asset('receiptassets/css/style.css')}}">
</head>

<body>
  <div class="cs-container">
    <div class="cs-invoice cs-style1">
      <div class="cs-invoice_in" id="download_section">
        <div class="cs-invoice_head cs-type1 cs-mb25">
          <div class="cs-invoice_left">
          <address class="text-right">
                    Printed by: {{auth()->user()->name}} <br>
                    Printed Date:  <?=@strtoupper(date('Y-m-d h:i:s a')) ?><br>
                </address>
          </div>
          <div class="cs-invoice_right cs-text_right">
            <div class="cs-logo cs-mb5"><img src="/assets/img/{{$app->app_logo}}" alt="Logo" style="max-height:80px"></div>
          </div>
        </div>
        <div class="cs-invoice_head cs-mb10">
          <div class="cs-invoice_left">
            <b class="cs-primary_color">Report Details:</b>
            <p>Company: {{$app->app_name}} <br>
            Account: <strong>{{$account_name}} </strong><br>
              Description: End of day Summary <br>
              Date: {{empty(request('start_date')) ? $dayClose->day_close : request()->start_date . " " . request()->end_date}}</p>
          </div>
          
        </div>

        <div class="cs-table cs-style2">
          <div class="cs-round_border">
            <div class="cs-table_responsive">
              <table>
                <thead>
                  <tr class="cs-focus_bg">
                    <th class="cs-width_2 cs-semi_bold cs-primary_color">Type</th>
                    <th class="cs-width_3 cs-semi_bold cs-primary_color">Totals</th>
                  </tr>
                </thead>
                <tbody>

                  <tr>
                    <td class="cs-width_2">Sales Revenue</td>
                    <td class="cs-width_3">{{empty($app->currency) ? "GHS" : $app->currency}}@convert($total_sales)</td>
                  </tr>
                  @if($expenses !== 0)
                  <tr>
                    <td class="cs-width_2">Expenses</td>
                    <td class="cs-width_3">{{empty($app->currency) ? "GHS" : $app->currency}}@convert($expenses)</td>
                  </tr>
                  @endif
                  @if($deposits !== 0)
                  <tr>
                    <td class="cs-width_2">Deposits</td>
                    <td class="cs-width_3">{{empty($app->currency) ? "GHS" : $app->currency}}@convert($deposits)</td>
                  </tr>
                  @endif
                  @if($adjustment !== 0)
                  <tr>
                    <td class="cs-width_2">Adjustment</td>
                    <td class="cs-width_3">{{empty($app->currency) ? "GHS" : $app->currency}}@convert($adjustment)</td>
                  </tr>
                  @endif
                  @if($discounts !== 0)
                  <tr>
                    <td class="cs-width_2">Discounts</td>
                    <td class="cs-width_3">{{empty($app->currency) ? "GHS" : $app->currency}}@convert($discounts)</td>
                  </tr>
                  @endif
                </tbody>
              </table>
            </div>
          </div>
          <div class="cs-invoice_footer">
            <div class="cs-left_footer cs-mobile_hide"></div>
            <div class="cs-right_footer">
              <table>
                <tbody>
                  <tr class="cs-border_none">
                    <td class="cs-width_2 cs-border_top_0 cs-bold cs-f16 cs-primary_color">Total Revenue</td>
                    <td class="cs-width_3 cs-border_top_0 cs-bold cs-f16 cs-primary_color cs-text_right">{{empty($app->currency) ? "GHS" : $app->currency}}@convert($total_sales-($expenses+$deposits+$adjustment+$discounts))</td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        
      </div>
      <div class="cs-invoice_btns cs-hide_print">
        <a href="javascript:window.print()" class="cs-invoice_btn cs-color1">
          <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512"><path d="M384 368h24a40.12 40.12 0 0040-40V168a40.12 40.12 0 00-40-40H104a40.12 40.12 0 00-40 40v160a40.12 40.12 0 0040 40h24" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><rect x="128" y="240" width="256" height="208" rx="24.32" ry="24.32" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><path d="M384 128v-24a40.12 40.12 0 00-40-40H168a40.12 40.12 0 00-40 40v24" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><circle cx="392" cy="184" r="24"/></svg>
          <span>Print</span>
        </a>
        <button id="download_btn" class="cs-invoice_btn cs-color2">
          <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512"><title>Download</title><path d="M336 176h40a40 40 0 0140 40v208a40 40 0 01-40 40H136a40 40 0 01-40-40V216a40 40 0 0140-40h40" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32"/><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32" d="M176 272l80 80 80-80M256 48v288"/></svg>
          <span>Download</span>
        </button>
        <button id="download_btn" class="cs-invoice_btn cs-color1" onclick="window.history.go(-1); return false" id="back">
          
          <span>Main Menu</span>
        </button>
      </div>
    </div>
  </div>
  <script src="{{asset('receiptassets/js/jquery.min.js')}}"></script>
  <script src="{{asset('receiptassets/js/jspdf.min.js')}}"></script>
  <script src="{{asset('receiptassets/js/html2canvas.min.js')}}"></script>
  <script src="{{asset('receiptassets/js/main.js')}}"></script>
</body>
</html>