@extends('layouts.app')

@section('content')
<!-- Content wrapper start -->
<div class="content-wrapper">

<!-- Row start -->
<div class="row gutters">

    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
        <!-- Card start -->
        <div class="card">
            <div class="card-header">
                <div class="card-title">New Central Station</div>
            </div>
            <div class="card-body mt-4">
                
                <form class="needs-validation" novalidate method="POST" action="{{route('kitchen.store')}}">
                @csrf  
                <!-- Row start -->
                    <div class="row gutters">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                            
                            <!-- Field wrapper start -->
                            <div class="field-wrapper">
                                <input type="text" class="form-control" name="kitchen_name" required>
                                <div class="field-placeholder">Name<span class="text-danger">*</span></div>
                               
                            </div>
                            <!-- Field wrapper end -->

                        </div>
                        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                            
                            <!-- Field wrapper start -->
                            <div class="field-wrapper">
                                <input type="text" class="form-control" name="kitchen_location" required>
                                <div class="field-placeholder">Location<span class="text-danger">*</span></div>
                               
                            </div>
                            <!-- Field wrapper end -->
                            <input type="text" class="form-control" value="C" hidden name="kitchen_category" required>
                        </div>
            
                        <div class="col-12">
                            <button class="btn btn-primary" type="submit">Save</button>
                        </div>
                    </div>
                    <!-- Row end -->
                </form>

            </div>
        </div>
        <!-- Card end -->
    </div>

    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
        
        <!-- Card start -->
        <div class="card">
            <div class="card-header">
                <div class="card-title">Outlets</div>
            </div>
            <div class="card-body mt-4">
                
            <div class="table-responsive">
                <table id="copy-print-csv" class="table custom-table">
                    <thead>
                        <tr>
                        <th>Name</th>
                        <th>Location</th>
                        <th>Kitchen Code</th>
                        <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($central_kitchen as $kitchen)
                        <tr>
                        <td>{{$kitchen->kitchen_name}}</td>
                        <td>{{$kitchen->kitchen_location}}</td>
                        <td>{{$kitchen->kitchen_code}}</td>
                        <td>
                            <div class="actions">
                                <a href="#" data-bs-toggle="modal" data-bs-target="#staticBackdrop{{$kitchen->id}}" data-placement="top" title="" data-original-title="Edit">
                                    <i class="icon-edit1 text-info"></i>
                                </a>
                                <a href="#" onclick="deleteKitchen(this.id)" id="{{$kitchen->id}}" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete">
                                    <i class="icon-x-circle text-danger"></i>
                                </a>
                            </div>
                        </td>
                        </tr>
                        @endforeach
                    </tbody>
            </table>
            </div>

            </div>
        </div>
        <!-- Card end -->

    </div>

</div>
<!-- Row end -->

</div>
<!-- Content wrapper end -->



@foreach($central_kitchen as $kitchen)
<!-- Modal start -->
<div class="modal fade" id="staticBackdrop{{$kitchen->id}}" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="staticBackdropLabel">Edit {{$kitchen->kitchen_name}}</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
        <form class="needs-validation" novalidate method="POST" action="{{route('kitchen.update', $kitchen->id)}}">
                @csrf  
                <!-- Row start -->
                    <div class="row gutters">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                            
                            <!-- Field wrapper start -->
                            <div class="field-wrapper">
                                <input type="text" class="form-control" name="kitchen_name" value="{{$kitchen->kitchen_name}}" required>
                                <div class="field-placeholder">Name<span class="text-danger">*</span></div>
                               
                            </div>
                            <!-- Field wrapper end -->

                        </div>
                        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                            
                            <!-- Field wrapper start -->
                            <div class="field-wrapper">
                                <input type="text" class="form-control" name="kitchen_location" value="{{$kitchen->kitchen_location}}" required>
                                <div class="field-placeholder">Location<span class="text-danger">*</span></div>
                               
                            </div>
                            <!-- Field wrapper end -->
                            <input type="text" class="form-control" value="{{$kitchen->kitchen_category}}" hidden name="kitchen_category" required>
                        </div>
            
                        <div class="col-12">
                            <button class="btn btn-primary" type="submit">Save Changes</button>
                        </div>
                    </div>
                    <!-- Row end -->
                </form>
        </div>
       
        </div>
    </div>
</div>
<!-- Modal end -->
@endforeach




<script>
        function deleteKitchen(id) {
            Swal.fire({
                title: 'Confirmation',
                text: "The removal of the Central Kitchen is irreversible and cannot be undone",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, delete!'
                }).then((result) => {
                if (result.isConfirmed) {
                    const xhttp = new XMLHttpRequest();
                    xhttp.onload = function() {
                        $("#copy-print-csv").load(" #copy-print-csv");
                        Swal.fire(
                            'Deleted!',
                            'Your Kitchen has been deleted.',
                            'success'
                            )
                    }
                    xhttp.open("GET", "/dashboard/kitchens/satellite/delete-kitchen/"+id);
                    xhttp.send();
                    }
                })
        }
    </script>

</div>
<!-- Content wrapper end -->

@endsection