

<!DOCTYPE html>
<html class="no-js" lang="en">

<head>
  <!-- Meta Tags -->
  <meta charset="utf-8">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="author" content="Adorable">
  <!-- Site Title -->
  <title>{{$app->app_name}} - Voucher Receipt</title>
  <link rel="stylesheet" href="{{asset('receiptassets/css/style.css')}}">
</head>

<body>
  <div class="cs-container">
    <div class="cs-invoice cs-style1">
      <div class="cs-invoice_in" id="download_section">
        <div class="cs-invoice_head cs-type1 cs-mb25">
          <div class="cs-invoice_left">
          <address class="text-right">
                    Printed by: {{auth()->user()->name}} <br>
                    Printed Date:  <?=@strtoupper(date('Y-m-d h:i:s a')) ?><br>
                </address>
          </div>
          <div class="cs-invoice_right cs-text_right">
            <div class="cs-logo cs-mb5"><img src="/assets/img/{{$app->app_logo}}" alt="Logo" style="max-height:80px"></div>
          </div>
        </div>

        <?php $comment = \DB::table('issue_lists')->where('transaction_no',$details->issue_transaction_id)->first() ?>
        <div class="cs-invoice_head cs-mb10">
          <div class="cs-invoice_left">
            <b class="cs-primary_color">Report Details:</b>
            <p>Company: {{$app->app_name}} <br>
              Description: Issued Voucher <br>
              Date: {{$details->issue_date}}</p>
          </div>
          
        </div>

        <ul class="cs-list cs-style2">
          <li>
            <div class="cs-list_left">Voucher #: <b class="cs-primary_color cs-semi_bold ">{{$details->issue_transaction_id}}</b></div>
            <div class="cs-list_right">From: <b class="cs-primary_color cs-semi_bold ">{{@strtoupper($details->station)}}</b></div>
          </li>
          <li>
            <div class="cs-list_left">Issued by: <b class="cs-primary_color cs-semi_bold ">{{@ucwords(@strtolower($details->name))}}</b></div>
            <div class="cs-list_right">To: <b class="cs-primary_color cs-semi_bold ">{{@strtoupper($details->issue_store)}}</b></div>
          </li>
          <li>
            <div class="cs-list_left">Received by: <b class="cs-primary_color cs-semi_bold ">{{@ucwords(@strtolower($username == null ? "Not Recieved" : $username))}}</b></div>
            <div class="cs-list_right">Created on: <b class="cs-primary_color">{{$comment->created_at}}</b></div>
          </li>
        </ul>

        <div class="cs-table cs-style2">
          <div class="cs-round_border">
            <div class="cs-table_responsive">
              <table>
                <thead>
                  <tr class="cs-focus_bg">
                    <th class="cs-width_6 cs-semi_bold cs-primary_color">Item</th>
                    <th class="cs-width_2 cs-semi_bold cs-primary_color">Quantity</th>
                    <th class="cs-width_2 cs-semi_bold cs-primary_color">UOM</th>
                    <th class="cs-width_2 cs-semi_bold cs-primary_color">Rate</th>
                    <th class="cs-width_2 cs-semi_bold cs-primary_color">Total <sub>{{empty($app->currency) ? "GHS" : $app->currency}}</sub>  </th>
                  </tr>
                </thead>
                <tbody>

                <?php $sumTotalGoods = 0 ;?>
                    @foreach($vouchering as $req)

                    <?php 
                        $sumTotalGoods += round(round($req->issue_rate, 2) * round($req->issue_quantity,2),2);
                        $total = round($sumTotalGoods, 2);
                    ?>
                  <tr>
                    <td class="cs-width_6">
                    {{@ucwords(@strtolower($req->issue_item))}} {{$req->rejected_status == 0 ? "[Rejected]" : ""}}
                    </td>
                    <td class="cs-width_2">@convert($req->issue_quantity)</td>
                    <td class="cs-width_2">{{$req->issue_unit}}</td>
                    <td class="cs-width_2">
                        @convert($rate = round($req->issue_rate, 2))
                    </td>
                    <td class="cs-width_2">
                        @convert(round(($rate * $req->issue_quantity), 2))
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
            </div>

            <div class="cs-invoice_footer cs-border_top">
              <div class="cs-left_footer cs-mobile_hide">
                
              </div>
              <div class="cs-right_footer">
                <table>
                  <tbody>
                    <tr class="cs-border_left">
                      <td class="cs-width_3 cs-semi_bold cs-primary_color cs-focus_bg">Subtotal</td>
                      <td class="cs-width_3 cs-semi_bold cs-focus_bg cs-primary_color cs-text_right">{{empty($app->currency) ? "GHS" : $app->currency}}@convert(round($total,2))</td>
                    </tr>
                    @if($rejected !== 0)
                    <tr class="cs-border_left">
                      <td class="cs-width_3 cs-semi_bold cs-primary_color cs-focus_bg">Rejected</td>
                      <td class="cs-width_3 cs-semi_bold cs-focus_bg cs-primary_color cs-text_right">{{empty($app->currency) ? "GHS" : $app->currency}}@convert($rejected = round($rejected,2))</td>
                    </tr>
                    @endif
                    <tr class="cs-border_left">
                      <td class="cs-width_3 cs-semi_bold cs-primary_color cs-focus_bg">Bill Total</td>
                      <td class="cs-width_3 cs-semi_bold cs-focus_bg cs-primary_color cs-text_right">{{empty($app->currency) ? "GHS" : $app->currency}}@convert(round($total - $rejected,2))</td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
          </div>
          
        </div>
        <div class="cs-note">
          <div class="cs-note_left">
            <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512"><path d="M416 221.25V416a48 48 0 01-48 48H144a48 48 0 01-48-48V96a48 48 0 0148-48h98.75a32 32 0 0122.62 9.37l141.26 141.26a32 32 0 019.37 22.62z" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><path d="M256 56v120a32 32 0 0032 32h120M176 288h160M176 368h160" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32"/></svg>
          </div>
          
          <div class="cs-note_right">
            <p class="cs-mb0"><b class="cs-primary_color cs-bold">Memo:</b></p>
            <p class="cs-m0">{{@strtolower(@ucwords($comment->comment))}}</p>
          </div>
          
        </div><!-- .cs-note -->
      </div>
      <div class="cs-invoice_btns cs-hide_print">
        <a href="javascript:window.print()" class="cs-invoice_btn cs-color1">
          <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512"><path d="M384 368h24a40.12 40.12 0 0040-40V168a40.12 40.12 0 00-40-40H104a40.12 40.12 0 00-40 40v160a40.12 40.12 0 0040 40h24" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><rect x="128" y="240" width="256" height="208" rx="24.32" ry="24.32" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><path d="M384 128v-24a40.12 40.12 0 00-40-40H168a40.12 40.12 0 00-40 40v24" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><circle cx="392" cy="184" r="24"/></svg>
          <span>Print</span>
        </a>
        <button id="download_btn" class="cs-invoice_btn cs-color2">
          <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512"><title>Download</title><path d="M336 176h40a40 40 0 0140 40v208a40 40 0 01-40 40H136a40 40 0 01-40-40V216a40 40 0 0140-40h40" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32"/><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32" d="M176 272l80 80 80-80M256 48v288"/></svg>
          <span>Download</span>
        </button>
        <a id="download_btn" class="cs-invoice_btn cs-color1" href="/">
          <span>Main Menu</span>
         </a>
      </div>
    </div>
  </div>
  <script src="{{asset('receiptassets/js/jquery.min.js')}}"></script>
  <script src="{{asset('receiptassets/js/jspdf.min.js')}}"></script>
  <script src="{{asset('receiptassets/js/html2canvas.min.js')}}"></script>
  <script src="{{asset('receiptassets/js/main.js')}}"></script>
</body>
</html>