@extends('layouts.app')

@section('content')

<!-- Content wrapper scroll start -->
<div class="content-wrapper-scroll">
<?php $userSummary = \DB::table('users')->where('id', request('user_id'))->first(); ?>
<!-- Content wrapper start -->
<div class="content-wrapper">

@if(!empty(request('user_id')))
<!-- Row start -->
<div class="row gutters">
    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">

        <div class="profile-header">
            <h1>Product Category Report</h1>
            <div class="profile-header-content">
                <div class="profile-header-tiles">
                    <div class="row gutters">
                        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-12">
                            <div class="profile-tile">
                                <span class="icon">
                                    <i class="icon-server"></i>
                                </span>
                                <h6>Name - <span>{{@strtoupper($userSummary->name)}}</span></h6>
                            </div>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-12">
                            <div class="profile-tile">
                                <span class="icon">
                                    <i class="icon-map-pin"></i>
                                </span>
                                <h6>Current Outlet - <span>{{@strtoupper($userSummary->branch)}}</span></h6>
                            </div>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-12">
                            <div class="profile-tile">
                                <span class="icon">
                                    <i class="icon-phone1"></i>
                                </span>
                                <h6>Date - <span>{{request('date')}}</span></h6>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="profile-avatar-tile">
                <img src="/assets/img/{{empty($userSummary->image) ? 'user1.png' : $userSummary->image }}" class="img-fluid" alt="User Profile" />
                </div>
            </div>
        </div>

    </div>
</div>
<!-- Row end -->
@endif


<!-- Row start -->
<div class="row gutters">
    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-12">
        <div class="stats-tile">
        <div class="sale-icon">
                <i class="icon-briefcase"></i>
            </div>
            <div class="sale-details">
                <h2>{{$items->count()}}</h2>
                <p>Category Count</p>
                <h5><span class="high"><i class="icon-trending-up"></i> 7.5%</span> since last week</h5>
            </div>
        </div>
    </div>
    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-12">
        <div class="stats-tile">
            <div class="sale-icon">
                <i class="icon-shopping-bag1"></i>
            </div>
            <div class="sale-details">
                <h2>{{$itemsQuantity}}</h2>
                <p>Items Quantity</p>
                <h5><span class="high"><i class="icon-trending-up"></i> 7.5%</span> since last week</h5>
            </div>
        </div>
    </div>
    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-12">
        <div class="stats-tile">
            <div class="sale-icon">
                <i class="icon-briefcase"></i>
            </div>
            <div class="sale-details">
                <h2>{{empty($app->currency) ? "GHS" : $app->currency}}@convert($itemsPrice)</h2>
                <p>Revenue</p>
                <h5><span class="low"><i class="icon-trending-down"></i> 5.7%</span> since last week</h5>
            </div>
        </div>
    </div>							
</div>
<!-- Row end -->
    <!-- Row start -->
    <div class="row gutters">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
            
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                    <table id="copy-print-csv" class="table v-middle">
                            <thead>
                                <tr>
                                  <th>Products</th>
                                  <th>Quantity</th>
                                  <th>Total <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                  <th>Action</th>													  
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($items as $item)
                                <tr>
                                  <td>
                                      <div class="media-box">
                                          <div class="media-box-body">
                                              <a href="#" class="text-truncate">{{@strtoupper($item->name)}}</a>
                                          </div>
                                      </div>
                                  </td>
                                  <td>{{$item->quantity}}</td>
                                  <td>@convert($item->total)</td>		
                                  <td>
                                  @if(!empty(request('user_id')))
                                    <form action="{{route('showDepartmentItemWithDate')}}" method="get">
                                        <input type="text" name="category" value="{{$item->name}}" hidden>
                                        <input type="text" name="date" value="{{request('date')}}" hidden>
                                        <input type="text" name="userID" value="{{ request('user_id') }}" hidden>
                                        <button class="btn btn-default btn-sm"> <i class="icon-eye1"></i></button>
                                    </form>
                                    @else
                                    <a href="{{route('showDepartmentItem',$item->name)}}" class="btn btn-default btn-sm"> <i class="icon-eye1"></i> </a>
                                    @endif
                                  </td>											  
                                </tr>
                                @endforeach
                            </tbody>
                    </table>
                    </div>

                </div>
            </div>

        </div>
    </div>
    <!-- Row end -->

</div>
<!-- Content wrapper end -->


@endsection