@extends('layouts.app')

@section('content')
<!-- Content wrapper scroll start -->
<div class="content-wrapper-scroll">

<?php session()->put('branch_data', [
    'date' => request()->date,
    'branch' => request('branch')
]); ?>
<!-- Content wrapper start -->
<div class="content-wrapper">

    <h4><strong>{{request()->branch}}:</strong> REPORT FOR {{request()->date}}</h4>


        <!-- Row start -->
        <div class="row gutters">
            <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-12">
                <div class="stats-tile">
                    <div class="sale-icon">
                        <i class="icon-credit-card"></i>
                    </div>
                    <div class="sale-details">
                        <h2>{{empty($app->currency) ? "GHS" : $app->currency}}@convert($netSales = $branch_total_general - $total_deliveries)</h2>
                        <p>Total Net Sales</p>
                        <h5><span class="high"><i class="icon-percent"></i> {{empty($app->currency) ? "GHS" : $app->currency}}@convert($discounts->sum('amount_deducted'))</span> Discounts</h5>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-12">
                <div class="stats-tile">
                    <div class="sale-icon">
                        <i class="icon-shopping-bag1"></i>
                    </div>
                    <div class="sale-details">
                        <h2>{{empty($app->currency) ? "GHS" : $app->currency}}@convert($branch_total_house)</h2>
                        <p>No Charge Items</p>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12">
                <div class="stats-tile">
                    <div class="sale-icon">
                        <i class="icon-cancel"></i>
                    </div>
                    <div class="sale-details">
                        <h2>{{empty($app->currency) ? "GHS" : $app->currency}}@convert($branch_total_reject)</h2>
                        <p>Rejected Items</p>
                    </div>
                </div>
            </div>
        </div>



        


        <!-- Row start -->
        <div class="row gutters">
            <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-12">
                <div class="stats-tile">
                    <div class="sale-icon">
                        <i class="icon-pause"></i>
                    </div>
                    <div class="sale-details">
                        <h2>{{empty($app->currency) ? "GHS" : $app->currency}}@convert($held = $held_transactioning->sum('invoice_total_price') - $discounts_held)</h2>
                        <p>Held Transactions</p>
                        <h5><span class="high"><i class="icon-percent"></i> {{empty($app->currency) ? "GHS" : $app->currency}}@convert($discounts_held)</span> Held transactions Discount</h5>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-12">
                <div class="stats-tile">
                    <div class="sale-icon">
                    <i class="icon-credit-card"></i>
                    </div>
                    <div class="sale-details">
                        <h2>{{empty($app->currency) ? "GHS" : $app->currency}}@convert($total_Value = ($held_payments->sum('decrease')))</h2>
                        <p>Payment Recieved from Held Transactions</p>
                        <h5><span class="high"><i class="icon-credit-card"></i> {{empty($app->currency) ? "GHS" : $app->currency}}@convert( $netSales + $total_Value)</span> Total Payment Recieved.</h5>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12">
                <div class="stats-tile">
                    <div class="sale-icon">
                        <i class="icon-check-circle"></i>
                    </div>
                    <div class="sale-details">
                        <h2>{{empty($app->currency) ? "GHS" : $app->currency}}@convert($held - $total_Value)</h2>
                        <p>Remaining Balances </p>
                        <h5>Held Transactions</h5>
                    </div>
                </div>
            </div>
        </div>


    <!-- Row start -->
    <div class="row gutters">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
        <div class="card">
            <div class="card-header">
                <form action="{{route('allDepartmentSummaryBranch')}}">
                    <input type="text" value="{{request()->date}}" hidden name="date">
                    <input type="text" value="{{request()->branch}}" hidden name="branch">
                    <button class="btn btn-outline-primary rounded-pill">Category Report</button>
                </form>
                <form action="{{route('allItemSummaryBranches')}}">
                    <input type="text" value="{{request()->date}}" name="date" hidden>
                    <input type="text" value="{{request()->branch}}" hidden name="branch">
                    <button class="btn btn-outline-primary rounded-pill">Product Report</button>
                </form>
                </div>

                <div class="card-body">
                    <div class="table-responsive">
                    <table id="copy-print-csv" class="table v-middle">
                                <thead>
                                    <tr>
                                        <th>Transaction #</th>
                                        <th>EnteredBy</th>
                                        <th>CreatedAt</th>
                                        <th>Item</th>
                                        <th>Quantity</th>	
                                        <th>Pay Method</th>
                                        <th>Category</th>											
                                        <th>Unit Price <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                        <th>Total Price <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($sales_today_branch as $list)
                                    <tr>
                                        <td>#{{$list->invoice_number}}</td>
                                        <td>{{$list->user->name}}</td>
                                        <td>{{$list->created_at}}</td>
                                        <td>{{$list->invoice_product_name}}</td>
                                        <td>{{$list->invoice_quantity}}</td>
                                        <td>{{$list->agency}}</td>
                                        <td>{{$list->invoice_category}}</td>
                                        <td>@convert($list->invoice_unit_price)</td>
                                        <td>@convert($list->invoice_total_price)</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                    </div>

                </div>
            </div>

        </div>
    </div>
    <!-- Row end -->




    <!-- on the house sales and rejected orders -->

        <!-- Row start -->
        <div class="row gutters">
        <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">

            <!-- Card start -->
            <div class="card">
                <div class="card-header">
                    <div class="card-title">No Charge Items</div>
                </div>
                <div class="card-body">
                    
                    <!-- Row start -->
                    <div class="row gutters">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">        
                        <div class="table-responsive">
                        <table id="apiCallbacks" class="table custom-table">
                                <thead>
                                    <tr>
                                        <th>Transaction #</th>
                                        <th>Item</th>
                                        <th>Quantity</th>												
                                        <th>Unit Price <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                        <th>Total Price <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($branch_total_house_list as $list)
                                    <tr>
                                        <td><a href="{{route('orderTransaction', $list->invoice_number)}}"> #{{$list->invoice_number}} </a></td>
                                        <td>{{@strtoupper($list->invoice_product_name)}}</td>
                                        <td> @convert($list->invoice_quantity)</td>
                                        <td>{{$list->invoice_unit_price}}</td>
                                        <td>{{$list->invoice_total_price}}</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        </div>
                    </div>
                    <!-- Row end -->

                </div>
            </div>
            <!-- Card end -->

        </div>
        <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">

            <!-- Card start -->
            <div class="card">
                <div class="card-header">
                    <div class="card-title">Rejected Items</div>
                </div>
                <div class="card-body">
                    
                    <!-- Row start -->
                    <div class="row gutters">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                        <div class="table-responsive">
                        <table id="rowSelection" class="table custom-table">
                                <thead>
                                    <tr>
                                        <th>Transaction ID</th>
                                        <th>Item</th>
                                        <th>Quantity</th>												
                                        <th>Unit Price <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                        <th>Total Price <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($branch_total_reject_list as $list)
                                    <tr>
                                        <td><a href="{{route('orderTransaction', $list->invoice_number)}}"> #{{$list->invoice_number}} </a></td>
                                        <td>
                                        {{$list->invoice_product_name}}
                                        </td>
                                        <td>
                                            {{$list->invoice_quantity}}
                                        </td>
                                        <td>{{$list->invoice_unit_price}}</td>
                                        <td>{{$list->invoice_total_price}}</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            </div>
                        
                    </div>
                    <!-- Row end -->

                </div>
            </div>
            <!-- Card end -->

        </div>
    </div>
    <!-- Row end -->

    <!-- Row start -->
    <div class="row gutters">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
      
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                    <table class="table table-bordered m-0">
                            <thead>
                                <tr>
                                  <th>Sales Type</th>
                                  <th>Description</th>
                                  <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>												  
                                  <td>Walk in Sales</td>
                                  <td>Customers physically entering a store or business establishment to make a purchase, as opposed to buying products or services online or through other remote methods.</td>
                                  <td>
                                  <form action="{{route('getDeliveryReportRouteDate')}}" method="get">
                                        @csrf
                                        <input type="text" name="branch" hidden value="{{request()->branch}}">
                                        <input type="text" name="category" hidden value="Counter">
                                        <input type="text" readonly hidden name="date" value="{{request()->date}}">
                                        <button type="submit" class="btn btn-outline-primary btn-sm"> 
                                        Report
                                        </button>
                                    </form>
                                  </td>
                                </tr>
                         @if(request()->branch == "DAKODWOM BRANCH")
                         <tr>												  
                            <td>Drive Thru</td>
                            <td>Show report of Drive-Thru transactions</td>
                            <td>
                            <form action="{{route('getDeliveryReportRouteDate')}}" method="get">
                                @csrf
                                <input type="text" name="branch" hidden value="{{request()->branch}}">
                                <input type="text" name="category" hidden value="Drive Thru">
                                <input type="text" readonly hidden name="date" value="{{request()->date}}">
                                <button type="submit" class="btn btn-outline-primary  btn-sm">
                                     Report
                                </button>
                            </form>
                            </td>
                        </tr>
                                    
                            @else
                            <tr>												  
                                  <td>Delivery Sales</td>
                                  <td>Selling products or services to customers and delivering them to a specified location, typically the customer's home or another designated address.</td>
                                  <td>
                                  <form action="{{route('getDeliveryReportRouteDate')}}" method="get">
                                        @csrf
                                        <input type="text" name="branch" hidden value="{{request()->branch}}">
                                        <input type="text" name="category" hidden value="Delivery">
                                        <input type="text" readonly hidden name="date" value="{{request()->date}}">
                                        <button type="submit" class="btn btn-outline-primary btn-sm">
                                        Report
                                        </button>
                                    </form>
                                  </td>
                                </tr>
                                @endif
                            </tbody>
                    </table>
                    </div>

                </div>
            </div>


            <!-- users and sales person category -->

             <!-- Row start -->
      <div class="row gutters">
        <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">

            <!-- Card start -->
            <div class="card">
                <div class="card-header">
                    <div class="card-title">Invoice List</div>
                </div>
                <div class="card-body">
                    
                    <!-- Row start -->
                    <div class="row gutters">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">   
                        <div class="table-responsive">     
                        <table id="scrollVertical" class="table custom-table">
                                <thead>
                                    <tr>
                                        <th>Order ID</th>
                                        <th>Customer</th>
                                        <th>Order Status</th>
                                        <th>CreatedAt</th>
                                        <th>Created By</th>	
                                        <th>Total <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>												
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($all_orders as $list)
                                    <tr>
                                        <td>#{{$list->order_id}}</td>
                                        <td>{{empty($list->customer->customer_name) ? "WALK-IN SALES" : $list->customer->customer_name}}</td>
                                        <td> {!!$list->status == 5 ? '<span class="text-info"><i class="icon-slash"></i>' . " On Hold" . '</span>' : '<span class="text-success"><i class="icon-check-circle"></i>' . " Paid" . '</span>' !!}</td>
                                        <td>{{$list->created_at}}</td>
                                        <td>{{@strtoupper($list->name)}}</td>
                                        <td>@convert($list->total_cost_order)</td>
                                        <td><a href="{{route('orderTransaction',$list->order_id)}}" class="btn btn-default"><i class="icon-eye1"></i></a></td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            </div>
                        </div>
                    </div>
                    <!-- Row end -->

                </div>
            </div>
            <!-- Card end -->

        </div>
        <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">

            <!-- Card start -->
            <div class="card">
                <div class="card-header">
                    <div class="card-title">Cashier Report</div>
                </div>
                <div class="card-body">
                    
                    <!-- Row start -->
                    <div class="row gutters">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                            
                        <div class="table-responsive">
                              <table id="hideSearchExample" class="table custom-table">
                                <thead>
                                    <tr>
                                        <th>Name</th>
                                        <th>Joined Date</th>	
                                        <th>Outlet</th>		
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($users_all as $list)
                                    <tr>
                                        <td>{{@strtoupper($list->name)}}</td>
                                        <td>{{$list->created_at}}</td>
                                        <td>{{$list->branch}}</td>
                                        <td>
                                            <form action="{{route('dateReportByUser')}}" method="get">
                                                @csrf
                                                <input type="text" name="user_id" hidden value="{{$list->id}}">
                                                <input type="text" readonly hidden name="date" value="{{request()->date}}">
                                                <button type="submit" class="btn btn-default"><i class="icon-eye1"></i>
                                                </button>
                                            </form>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                           
                            </div> 
                    </div>
                    <!-- Row end -->

                </div>
            </div>
        </div>
    </div>
</div>
            <!-- Card end -->


            
            </div>
        </div>
    </div>
    <!-- Row end -->



    


</div>
<!-- Content wrapper end -->




@endsection