@extends('layouts.app')

@section('content')
<!-- Content wrapper scroll start -->
<div class="content-wrapper-scroll">

<!-- Content wrapper start -->
<div class="content-wrapper">

<div style="margin:13px">
    <h4> TOTAL REVENUE - <strong>{{request()->date}}</strong></h4>
</div>


        <!-- Row start -->
        <div class="row gutters">
            <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-12">
                <div class="stats-tile">
                    <div class="sale-icon">
                    <i class="icon-attach_money"></i>
                    </div>
                    <div class="sale-details">
                        <h2>{{empty($app->currency) ? "GHS" : $app->currency}}@convert($general_total_general - $total_deliveries)</h2>
                        <p>Total Net Sales</p>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-12">
                <div class="stats-tile">
                    <div class="sale-icon">
                        <i class="icon-shopping-bag1"></i>
                    </div>
                    <div class="sale-details">
                        <h2>{{empty($app->currency) ? "GHS" : $app->currency}}@convert($general_total_house)</h2>
                        <p>No Charge Items</p>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12">
                <div class="stats-tile">
                    <div class="sale-icon">
                        <i class="icon-cancel"></i>
                    </div>
                    <div class="sale-details">
                        <h2>{{empty($app->currency) ? "GHS" : $app->currency}}@convert($general_total_reject)</h2>
                        <p>Rejected Items</p>
                    </div>
                </div>
            </div>
        </div>


    <!-- Row start -->
    <div class="row gutters">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
            
            <div class="card">
            <div class="card-header">
            <form action="{{route('allDepartmentSummary')}}">
                    <input type="text" value="{{request()->date}}" hidden name="date">
                    <button class="btn btn-outline-primary rounded-pill">Category Report</button>
                    </form>
                    <form action="{{route('allItemSummary')}}">
                    <input type="text" value="{{request()->date}}" name="date" hidden>
                    <button class="btn btn-outline-primary rounded-pill">Product Report</button>
                    </form>
                </div>
                <div class="card-body">
                    
                    <div class="table-responsive">
                    <table id="copy-print-csv" class="table v-middle">
                                <thead>
                                    <tr>
                                        <th>Order No.</th>
                                        <th>Outlet</th>
                                        <th>Ordered Date</th>
                                        <th>Product</th>
                                        <th>Quantity</th>												
                                        <th>Unit Price <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                        <th>Category</th>
                                        <th>Total Price <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($sales_today_general as $list)
                                    <tr>
                                        <td>#{{$list->invoice_number}}</td>
                                        <td>{{$list->branch}}</td>
                                        <td>{{$list->created_at}}</td>
                                        <td>
                                        {{@strtoupper($list->invoice_product_name)}}
                                        </td>
                                        <td>
                                            {{$list->invoice_quantity}}
                                        </td>
                                        <td>@convert($list->invoice_unit_price)</td>
                                        <td> {{@strtoupper($list->invoice_category)}}</td>
                                        <td>@convert($list->invoice_total_price)</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                    </div>

                </div>
            </div>

        </div>
    </div>
    <!-- Row end -->




    <!-- on the house sales and rejected orders -->

        <!-- Row start -->
        <div class="row gutters">
        <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">

            <!-- Card start -->
            <div class="card">
                <div class="card-header">
                    <div class="card-title">No Charge</div>
                </div>
                <div class="card-body">
                    
                    <!-- Row start -->
                    <div class="row gutters">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">  
                        <div class="table-responsive">      
                        <table id="apiCallbacks" class="table custom-table">
                                <thead>
                                    <tr>
                                    <th>OrderNo.</th>
                                        <th>Product</th>
                                        <th>Qty</th>												
                                        <th>Rate <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                        <th>Total <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($general_total_house_list as $list)
                                    <tr>
                                    <td>#{{$list->invoice_number}}</td>
                                        <td>
                                        {{@strtoupper($list->invoice_product_name)}}
                                        </td>
                                        <td>
                                            {{$list->invoice_quantity}}
                                        </td>
                                        <td>@convert($list->invoice_unit_price)</td>
                                        <td>@convert($list->invoice_total_price)</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            </div>
                        </div>
                    </div>
                    <!-- Row end -->

                </div>
            </div>
            <!-- Card end -->

        </div>
        <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">

            <!-- Card start -->
            <div class="card">
                <div class="card-header">
                    <div class="card-title">Rejected Item</div>
                </div>
                <div class="card-body">
                    
                    <!-- Row start -->
                    <div class="row gutters">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                        <table class="table-responsive">
                        <table id="scrollVertical" class="table custom-table">
                                <thead>
                                    <tr>
                                        <th>OrderNo.</th>
                                        <th>Product</th>
                                        <th>Qty</th>												
                                        <th>Rate <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                        <th>Total <br>{{empty($app->currency) ? "GHS" : $app->currency}}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($general_total_reject_list as $list)
                                    <tr>
                                        <td>#{{$list->invoice_number}}</td>
                                        <td>
                                        {{@strtoupper($list->invoice_product_name)}}
                                        </td>
                                        <td>
                                            {{$list->invoice_quantity}}
                                        </td>
                                        <td>@convert($list->invoice_unit_price)</td>
                                        <td>@convert($list->invoice_total_price)</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            </table>
                        
                    </div>
                    <!-- Row end -->

                </div>
            </div>
            <!-- Card end -->

        </div>
    </div>
    <!-- Row end -->

    <!-- Row start -->
    <div class="row gutters">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
        <div class="card-header">
                    <div class="card-title">Sales Type</div>
                </div>
            <div class="card">
                <div class="card-body">
                
                    <div class="table-responsive">
                    <table id="copy-print-csv" class="table v-middle">
                            <thead>
                                <tr>
                                  <th>Type</th>
                                  <th>Description</th>
                                  <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                
                                <tr>												  
                                  <td>Delivery</td>
                                  <td>Selling products or services to customers and delivering them to a specified location, typically the customer's home or another designated address.</td>
                                  <td>
                                  <form action="{{route('getDeliveryReportDate')}}" method="get">
                                        @csrf
                                        <input type="text" name="category" hidden value="Delivery">
                                        <input type="text" readonly hidden name="date" value="{{request()->date}}">
                                        <button type="submit" class="btn btn-outline-primary btn-sm"> 
                                            view report
                                        </button>
                                    </form>
                                  </td>
                                </tr>

                                <tr>												  
                                  <td>Walk In Sales</td>
                                  <td>Customers physically entering a store or business establishment to make a purchase, as opposed to buying products or services online or through other remote methods.</td>
                                  <td>
                                  <form action="{{route('getDeliveryReportDate')}}" method="get">
                                        @csrf
                                        <input type="text" name="category" hidden value="Counter">
                                        <input type="text" readonly hidden name="date" value="{{request()->date}}">
                                        <button type="submit" class="btn btn-outline-primary btn-sm"> 
                                        view report
                                        </button>
                                    </form>
                                  </td>
                                </tr>
                                
                            </tbody>
                    </table>
                    </div>

                </div>
            </div>

        </div>
    </div>
    <!-- Row end -->


</div>
<!-- Content wrapper end -->

</div>
</div>


@include('modal.revenue')

@endsection