

<!DOCTYPE html>
<html class="no-js" lang="en">

<head>
  <!-- Meta Tags -->
  <meta charset="utf-8">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="author" content="ThemeMarch">
  <!-- Site Title -->
  <title>Payment Summary For - {{request()->date == null ? $dayClose->day_close : request()->date}}</title>
  <link rel="stylesheet" href="{{asset('receiptassets/css/style.css')}}">
</head>

<body>
  <div class="cs-container">
    <div class="cs-invoice cs-style1">
      <div class="cs-invoice_in" id="download_section">
        <div class="cs-invoice_head cs-type1 cs-mb25">
          <div class="cs-invoice_left">
          <address class="text-right">
                    Printed by: {{auth()->user()->name}} <br>
                    Printed Date:  <?=@strtoupper(date('Y-m-d h:i:s a')) ?><br>
                </address>
          </div>
          <div class="cs-invoice_right cs-text_right">
            <div class="cs-logo cs-mb5"><img src="/assets/img/{{$app->app_logo}}" alt="Logo" style="max-height:80px"></div>
          </div>
        </div>
        <div class="cs-invoice_head cs-mb10">
          <div class="cs-invoice_left">
            <b class="cs-primary_color">Report Details:</b>
            <p>Company: {{$app->app_name}} <br>
              Description: Payment Summary -  <?=@strtoupper( request('branch'));?> <br>
              Date: {{empty(request('date')) ? $dayClose->day_close : request('date')}}</p>
          </div>
          
        </div>

        <div class="cs-table cs-style2">
          <div class="cs-round_border">
            <div class="cs-table_responsive">
              <table>
                <thead>
                  <tr class="cs-focus_bg">
                    <th class="cs-width_2 cs-semi_bold cs-primary_color">Pay Method</th>
                    <th class="cs-width_6 cs-semi_bold cs-primary_color">Description</th>
                    <th class="cs-width_2 cs-semi_bold cs-primary_color">Total <sub>{{empty($app->currency) ? "GHS" : $app->currency}}</sub>  </th>
                  </tr>
                </thead>
                <tbody>

                <?php $sum = 0  ?>

                    @foreach($agency_orders as $report)

                    <?php 

                        if (!request('date')) {

                            $order = \App\Models\Order::where('branch', request('branch'))
                              ->whereDate('created_at', $dayClose->day_close)
                              ->where('status', "!=", 5)
                              ->where('payment_method', @strtoupper(empty($report->agency) ? "CASH" : $report->agency))
                              ->pluck('order_id');

                            $discount = \DB::table('discounts')
                            ->whereIn('order_id', $order)
                            ->sum('amount_deducted');

                            $sum += $report->total - $discount;

                        }else {

                            $order = \App\Models\Order::WhereDate('created_at','>=', $from)
                              ->WhereDate('created_at','<=', $to)   
                              ->where('status', "!=", 5)
                              ->where('branch', request('branch'))
                              ->where('payment_method', @strtoupper(empty($report->agency) ? "CASH" : $report->agency))
                              ->pluck('order_id');

                            $discount = \DB::table('discounts')
                                  ->whereIn('order_id', $order)
                                  ->sum('amount_deducted');

                            $sum += $report->total - $discount;
                        }
                        
                    ?>
                  <tr>
                    <td class="cs-width_2">
                    {{@strtoupper(empty($report->agency) ? "Cash" : $report->agency)}}
                    </td>
                    <td class="cs-width_6">Revenue from goods and services sold</td>
                    <td class="cs-width_2">
                        @convert($report->total - $discount)
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
          <div class="cs-invoice_footer">
            <div class="cs-left_footer cs-mobile_hide"></div>
            <div class="cs-right_footer">
              <table>
                <tbody>
                  <tr class="cs-border_none">
                    <td class="cs-width_3 cs-border_top_0 cs-bold cs-f16 cs-primary_color">Total Revenue</td>
                    <td class="cs-width_3 cs-border_top_0 cs-bold cs-f16 cs-primary_color cs-text_right">{{empty($app->currency) ? "GHS" : $app->currency}}@convert($sum)</td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        
      </div>
      <div class="cs-invoice_btns cs-hide_print">
        <a href="javascript:window.print()" class="cs-invoice_btn cs-color1">
          <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512"><path d="M384 368h24a40.12 40.12 0 0040-40V168a40.12 40.12 0 00-40-40H104a40.12 40.12 0 00-40 40v160a40.12 40.12 0 0040 40h24" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><rect x="128" y="240" width="256" height="208" rx="24.32" ry="24.32" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><path d="M384 128v-24a40.12 40.12 0 00-40-40H168a40.12 40.12 0 00-40 40v24" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><circle cx="392" cy="184" r="24"/></svg>
          <span>Print</span>
        </a>
        <button id="download_btn" class="cs-invoice_btn cs-color2">
          <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512"><title>Download</title><path d="M336 176h40a40 40 0 0140 40v208a40 40 0 01-40 40H136a40 40 0 01-40-40V216a40 40 0 0140-40h40" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32"/><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32" d="M176 272l80 80 80-80M256 48v288"/></svg>
          <span>Download</span>
        </button>
        <button id="download_btn" class="cs-invoice_btn cs-color1" onclick="window.history.go(-1); return false" id="back">
          
          <span>Main Menu</span>
        </button>
      </div>
    </div>
  </div>
  <script src="{{asset('receiptassets/js/jquery.min.js')}}"></script>
  <script src="{{asset('receiptassets/js/jspdf.min.js')}}"></script>
  <script src="{{asset('receiptassets/js/html2canvas.min.js')}}"></script>
  <script src="{{asset('receiptassets/js/main.js')}}"></script>
</body>
</html>