<!doctype html>
<html lang="en">
	
<head>
		<!-- Required meta tags -->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

		<!-- Meta -->
		<meta name="description" content="Responsive Bootstrap4 Dashboard Template">
		<meta name="author" content="ParkerThemes">
		<link rel="shortcut icon" href="img/fav.png">

		<!-- Title -->
		<title>Detailed Item Stock Ledger -  <?php echo e(request()->date == null ? $dayClose->day_close : request()->date); ?></title>

        <!-- Date Range CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/daterange/daterange.css')); ?>">

                
        <!-- Uploader CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/dropzone/dropzone.min.css')); ?>" />

        <!-- *************
            ************ Common Css Files *************
        ************ -->
        <!-- Bootstrap css -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap.min.css')); ?>">

        <!-- Icomoon Font Icons css -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/fonts/style.css')); ?>">

        <!-- Main css -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/main.css')); ?>">

        <!-- fontAwesome -->
        <link href="<?php echo e(asset('assets/fontawesome/css/all.css')); ?>" rel="stylesheet">


        <!-- Data Tables -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/datatables/dataTables.bs4.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/datatables/dataTables.bs4-custom.css')); ?>" />
        <link href="<?php echo e(asset('assets/vendor/datatables/buttons.bs.css')); ?>" rel="stylesheet" />

		<!-- Sweet Alert-->
		<link href="<?php echo e(asset('assets/libs/sweetalert2/sweetalert2.min.css')); ?> " rel="stylesheet" type="text/css" />


        <script src="<?php echo e(asset('assets/js/ajax.min.js')); ?>"></script>

        <!-- *************
            ************ Vendor Css Files *************
        ************ -->

        <!-- Bootstrap Select CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/bs-select/bs-select.css')); ?>" />

        <!-- Mega Menu -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/megamenu/css/megamenu.css')); ?>">

        <!-- Search Filter JS -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/search-filter/search-filter.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/search-filter/custom-search-filter.css')); ?>">

	</head>

    <style>
         @media  print {
                #back{
                    visibility: hidden;
                }
            }
    </style>
<a href="#" onclick="window.history.go(-1); return false" id="back" style="text-decoration:underline"><span class="badge bg-info">Return Back</span></a><br>
<body onload="window.print();">

<div class="card-body">
<div class="invoice-container">
    <div class="invoice-header">
        <!-- Row start -->
        <div class="row justify-content-between">
            <div class="col-xl-5 col-lg-5 col-md-5 col-sm-5 col-12">
            
                <a href="#" class="logo">
                <img src="/assets/img/<?php echo e($app->app_logo); ?>" alt="Logo" style="max-width:70px;">
                </a>
            </div>
            <div class="col-xl-5 col-lg-5 col-md-5 col-sm-5 col-12">
                <address class="text-right">
                    Printed by: <?php echo e(auth()->user()->name); ?> <br>
                    Printed Date:  <?=@strtoupper(date('Y-m-d h:i:s a')) ?><br>
                </address>
            </div>
        </div>
        <!-- Row end -->
    </div>

    <!-- Row start -->
    <div class="row gutters">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
            <div class="invoice-details">
                <address class="m-0">
                    <strong><?php echo e($app->app_name); ?></strong>,<br>
                    Item Stock Ledger - Summary with Physical Stock Tracking<br>
                    Report outlet: <?=@strtoupper(auth()->user()->station);?>
                </address>

                <div class="invoice-num">
                    <div>Report Date</div>
                    <div> <?php echo e(request()->date == null ? $dayClose->day_close : decrypt(request()->date)); ?></div>
                </div>
            </div>
        </div>
    </div>
    <!-- Row end -->

    <div class="table-responsive">
	<table class="table table-bordered table-striped m-0">
    <thead>
                                <tr>
                                <th>Items</th>
                                <th>Unit</th>
                                <th>Item Category</th>
                                <th>Opening Stock</th>
                                <th>Stock In</th>
                                <th>Stock Out</th>
                                <th>Closing Stock</th>
                                </tr>
                        </thead>
                            <tbody>
                               
                                <?php $__currentLoopData = $reports; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $report): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(in_array(empty(request('station')) ? auth()->user()->station : request('station'), json_decode($report->inactive_station)) == true): ?>
                                                                    <?php continue; ?>
                                                                <?php endif; ?>
                                <tr>
                                    <td><a href="javascript:void(0)" onclick="document.getElementById('form-id<?=$report->item_id?>').submit();"><?php echo e(@ucwords(@strtolower($report->item_name))); ?></a></td>
                                    <td><?php echo e(@strtolower($report->item_unit)); ?></td>
                                    <td><?php echo e($report->item_category); ?></td>
                                    <td><?php echo number_format($report->opening_stock, 2); ?></td>
                                    <td><?php echo number_format($report->stock_in, 2); ?></td>
                                    <td><?php echo number_format($report->stock_out, 2); ?></td>
                                    <td><?php echo number_format($closting_stock = ($report->opening_stock + $report->stock_in) -  $report->stock_out, 2); ?></td>
                                </tr>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                               
                            </tbody>

	</table>
</div>

</div>
</div>
</div>



		<!-- *************
			************ Required JavaScript Files *************
		************* -->
		<!-- Required jQuery first, then Bootstrap Bundle JS -->
		<script src="<?php echo e(asset('assets/js/jquery.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/js/bootstrap.bundle.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/js/modernizr.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/js/moment.js')); ?>"></script>

		<!-- *************
			************ Vendor Js Files *************
		************* -->

		<!-- Sweet Alerts js -->
		<script src="<?php echo e(asset('assets/libs/sweetalert2/sweetalert2.min.js')); ?>"></script>
		
		<!-- Megamenu JS -->
		<script src="<?php echo e(asset('assets/vendor/megamenu/js/megamenu.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/megamenu/js/custom.js')); ?>"></script>

		<!-- Slimscroll JS -->
		<script src="<?php echo e(asset('assets/vendor/slimscroll/slimscroll.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/slimscroll/custom-scrollbar.js')); ?>"></script>

		<!-- Search Filter JS -->
		<script src="<?php echo e(asset('assets/vendor/search-filter/search-filter.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/search-filter/custom-search-filter.js')); ?>"></script>

		<!-- Apex Charts -->
		<script src="<?php echo e(asset('assets/vendor/apex/apexcharts.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/apex/custom/home/salesGraph.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/apex/custom/home/ordersGraph.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/apex/custom/home/earningsGraph.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/apex/custom/home/visitorsGraph.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/apex/custom/home/customersGraph.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/apex/custom/home/sparkline.js')); ?>"></script>

		<!-- Circleful Charts -->
		<script src="<?php echo e(asset('assets/vendor/circliful/circliful.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/circliful/circliful.custom.js')); ?>"></script>


		<!-- Bootstrap Select JS -->
		<script src="<?php echo e(asset('assets/vendor/bs-select/bs-select.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/bs-select/bs-select-custom.js')); ?>"></script>


		<!-- Data Tables -->
		<script src="<?php echo e(asset('assets/vendor/datatables/dataTables.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/datatables/dataTables.bootstrap.min.js')); ?>"></script>
		
		<!-- Custom Data tables -->
		<script src="<?php echo e(asset('assets/vendor/datatables/custom/custom-datatables.js')); ?>"></script>

		<!-- Download / CSV / Copy / Print -->
		<script src="<?php echo e(asset('assets/vendor/datatables/buttons.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/datatables/jszip.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/datatables/pdfmake.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/datatables/vfs_fonts.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/datatables/html5.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/datatables/buttons.print.min.js')); ?>"></script>

		<!-- Dropzone JS -->
		<script src="<?php echo e(asset('assets/vendor/dropzone/dropzone.min.js')); ?>"></script>

		<!-- Date Range JS -->
		<script src="<?php echo e(asset('assets/vendor/daterange/daterange.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/vendor/daterange/custom-daterange.js')); ?>"></script>

		<!-- Main Js Required -->
		<script src="<?php echo e(asset('assets/js/main.js')); ?>"></script>

	</body>

</html>
<?php /**PATH /home/cuyo32ka/public_html/kkpbev.andassolutionsltd.comfiles/resources/views/inventory/print-built-isl.blade.php ENDPATH**/ ?>