

<!DOCTYPE html>
<html class="no-js" lang="en">

<head>
  <!-- Meta Tags -->
  <meta charset="utf-8">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="author" content="Adorable">
  <!-- Site Title -->
  <title><?php echo e($app->app_name); ?> - Goods Receipts Note</title>
  <link rel="stylesheet" href="<?php echo e(asset('receiptassets/css/style.css')); ?>">
</head>

<body>
  <div class="cs-container">
    <div class="cs-invoice cs-style1">
      <div class="cs-invoice_in" id="download_section">
        <div class="cs-invoice_head cs-type1 cs-mb25">
          <div class="cs-invoice_left">
          <address class="text-right">
                    Printed by: <?php echo e(auth()->user()->name); ?> <br>
                    Printed Date:  <?=@strtoupper(date('Y-m-d h:i:s a')) ?><br>
                </address>
          </div>
          <div class="cs-invoice_right cs-text_right">
            <div class="cs-logo cs-mb5"><img src="/assets/img/<?php echo e($app->app_logo); ?>" alt="Logo" style="max-height:80px"></div>
          </div>
        </div>

        <?php  $goods_state = \App\Models\GoodReceiptList::where('transaction_id', $trans_data->g_r_transaction_id)->first()?>
        <?php $users = \App\Models\User::find($goods_state->user_id); ?>
        
        <div class="cs-invoice_head cs-mb10">
          <div class="cs-invoice_left">
            <b class="cs-primary_color">Report Details:</b>
            <p>Company: <?php echo e($app->app_name); ?> <br>
              Description: Good Receript Note <br>
              Date: <?php echo e($trans_data->g_r_date); ?></p>
          </div>
          
        </div>

        <ul class="cs-list cs-style2">
          <li>
            <div class="cs-list_left">Transaction #: <b class="cs-primary_color cs-semi_bold "><?php echo e($trans_data->g_r_transaction_id); ?></b></div>
            <div class="cs-list_right">GRN #: <b class="cs-primary_color cs-semi_bold "><?php echo e($trans_data->g_r_grn); ?></b></div>
          </li>
          <li>
            <div class="cs-list_left">Vendor: <b class="cs-primary_color cs-semi_bold "><?php echo e(@strtoupper($vendor->vendor_name)); ?></b></div>
            <div class="cs-list_right">store: <b class="cs-primary_color cs-semi_bold "><?php echo e(@strtoupper($trans_data-> station)); ?></b></div>
          </li>
          <li>
            <div class="cs-list_left">Created by: <?php echo e($users->name); ?></div>
          </li>
        </ul>

        <div class="cs-table cs-style2">
          <div class="cs-round_border">
            <div class="cs-table_responsive">
              <table>
                <thead>
                  <tr class="cs-focus_bg">
                    <th class="cs-width_6 cs-semi_bold cs-primary_color">Item</th>
                    <th class="cs-width_2 cs-semi_bold cs-primary_color">Quantity</th>
                    <th class="cs-width_2 cs-semi_bold cs-primary_color">UOM</th>
                    <th class="cs-width_2 cs-semi_bold cs-primary_color">Rate</th>
                    <th class="cs-width_2 cs-semi_bold cs-primary_color">Total <sub><?php echo e(empty($app->currency) ? "GHS" : $app->currency); ?></sub>  </th>
                  </tr>
                </thead>
                <tbody>

                <?php $sumTotalGoods = 0 ;?>

                    <?php $__currentLoopData = $reciept_goods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $goods): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                    <?php 
                                                    
                        $sumTotalGoods += round((round($goods->g_r_rate,2) * round($goods->g_r_quantity, 2)), 2);
                        $total = round($sumTotalGoods, 2);
                        
                    ?>
                  <tr>
                    <td class="cs-width_6">
                    <?php echo e(@ucwords(@strtolower($goods->g_r_item))); ?>

                    </td>
                    <td class="cs-width_2"><?php echo number_format($qty = round($goods->g_r_quantity, 2), 2); ?></td>
                    <td class="cs-width_2"><?php echo e($goods->g_r_unit); ?></td>
                    <td class="cs-width_2">
                    <?php echo number_format($rate = round($goods->g_r_rate, 2), 2); ?>
                    </td>
                    <td class="cs-width_2">
                    <?php echo number_format(round($qty*$rate,2), 2); ?>
                    </td>
                  </tr>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
              </table>
            </div>

            <div class="cs-invoice_footer cs-border_top">
              <div class="cs-left_footer cs-mobile_hide">
                
              </div>
              <div class="cs-right_footer">
                <table>
                  <tbody>
                    <tr class="cs-border_left">
                      <td class="cs-width_3 cs-semi_bold cs-primary_color cs-focus_bg">Subtotal</td>
                      <td class="cs-width_3 cs-semi_bold cs-focus_bg cs-primary_color cs-text_right"><?php echo e(empty($app->currency) ? "GHS" : $app->currency); ?><?php echo number_format(round($total, 2), 2); ?></td>
                    </tr>
                   
                    <tr class="cs-border_left">
                      <td class="cs-width_3 cs-semi_bold cs-primary_color cs-focus_bg">Bill Total</td>
                      <td class="cs-width_3 cs-semi_bold cs-focus_bg cs-primary_color cs-text_right"><?php echo e(empty($app->currency) ? "GHS" : $app->currency); ?><?php echo number_format(round($total, 2), 2); ?></td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
          </div>
          
        </div>
        <div class="cs-note">
          <div class="cs-note_left">
            <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512"><path d="M416 221.25V416a48 48 0 01-48 48H144a48 48 0 01-48-48V96a48 48 0 0148-48h98.75a32 32 0 0122.62 9.37l141.26 141.26a32 32 0 019.37 22.62z" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><path d="M256 56v120a32 32 0 0032 32h120M176 288h160M176 368h160" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32"/></svg>
          </div>

          <div class="cs-note_right">
            <p class="cs-mb0"><b class="cs-primary_color cs-bold">Note:</b></p>
            <p class="cs-m0"><?php echo e(@ucwords(@strtolower($goods_state->note))); ?></p>
          </div>
          
        </div><!-- .cs-note -->
      </div>
      <div class="cs-invoice_btns cs-hide_print">
        <a href="javascript:window.print()" class="cs-invoice_btn cs-color1">
          <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512"><path d="M384 368h24a40.12 40.12 0 0040-40V168a40.12 40.12 0 00-40-40H104a40.12 40.12 0 00-40 40v160a40.12 40.12 0 0040 40h24" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><rect x="128" y="240" width="256" height="208" rx="24.32" ry="24.32" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><path d="M384 128v-24a40.12 40.12 0 00-40-40H168a40.12 40.12 0 00-40 40v24" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32"/><circle cx="392" cy="184" r="24"/></svg>
          <span>Print</span>
        </a>
        <button id="download_btn" class="cs-invoice_btn cs-color2">
          <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512"><title>Download</title><path d="M336 176h40a40 40 0 0140 40v208a40 40 0 01-40 40H136a40 40 0 01-40-40V216a40 40 0 0140-40h40" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32"/><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32" d="M176 272l80 80 80-80M256 48v288"/></svg>
          <span>Download</span>
        </button>
        <?php if($goods_state->return_state == 1): ?>
        <a id="download_btn" class="cs-invoice_btn cs-color1" href="/">
          <span>Returned Goods</span>
         </a>
         <?php endif; ?>
      </div>
    </div>
  </div>
  <script src="<?php echo e(asset('receiptassets/js/jquery.min.js')); ?>"></script>
  <script src="<?php echo e(asset('receiptassets/js/jspdf.min.js')); ?>"></script>
  <script src="<?php echo e(asset('receiptassets/js/html2canvas.min.js')); ?>"></script>
  <script src="<?php echo e(asset('receiptassets/js/main.js')); ?>"></script>
</body>
</html><?php /**PATH /home/cuyo32ka/public_html/kkpbev.andassolutionsltd.comfiles/resources/views/good-receipt/print-good-receipt.blade.php ENDPATH**/ ?>